%define module_name	v4l
%define module_version	20080422
%define module_subver	%nil
%define module_release	alt2

%define kversion	2.6.25
%define krelease	alt8.M41.1
%define flavour		std-ll

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/media

%define kernel_headers_dir %_prefix/src/linux-%kversion-%flavour-%krelease
%define module_headers_dir %kernel_headers_dir/drivers/media


%define _unpackaged_files_terminate_build 1

Summary: The video for linux modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132633.8.M41.1
License: GPL
Group: System/Kernel and hardware
URL: http://www.linuxtv.org
Source0:  v4l-compat.h.patch

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Provides: v4l = %version

ExclusiveOS: Linux
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-v4l = %module_version%module_subver
BuildRequires: kernel-headers-alsa

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

%description
video4linux modules

%package -n kernel-headers-%module_name-%flavour
Summary: Headers for build modules with video for linux
Group: Development/Kernel

%description -n kernel-headers-%module_name-%flavour
Headers for build modules with video for linux

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
pushd v4l
%make_build  SRCDIR=%_usrsrc/linux-%kversion-%flavour VER=%kversion-%flavour-%krelease \
%ifarch %ix86
CC="gcc-$GCC_VERSION -m32"
%endif

popd
%install
mkdir -p \
    $RPM_BUILD_ROOT/%module_dir
mkdir -p \
    $RPM_BUILD_ROOT/%_includedir/sound
make install DESTDIR=$RPM_BUILD_ROOT SRCDIR=%_usrsrc/linux-%kversion-%flavour VER=%kversion-%flavour-%krelease

# Make sure the %%exclude below has something to match
touch $RPM_BUILD_ROOT/lib/modules/%kversion-%flavour-%krelease/modules.dep

mkdir -p %buildroot%kernel_headers_dir
echo "%name = %version-%release" > %buildroot%kernel_headers_dir/kernel-modules-%module_name.release

sed -e 's|%_builddir/||' < v4l/Module.symvers > %buildroot%kernel_headers_dir/kernel-modules-%module_name.symvers

install -d %buildroot%kernel_headers_dir/drivers/media/dvb/dvb-core
install -d %buildroot%kernel_headers_dir/drivers/media/video/{bt8xx,cx88,saa7134}
install -d %buildroot%kernel_headers_dir/include/media
install -d %buildroot%kernel_headers_dir/include/linux

cp -a linux/drivers/media/dvb/dvb-core/*.h \
	%buildroot%kernel_headers_dir/drivers/media/dvb/dvb-core/
cp -a linux/drivers/media/video/{btcx-risc,tuner-xc2028}.h \
	%buildroot%kernel_headers_dir/drivers/media/video/
cp -a linux/drivers/media/video/bt8xx/{bt848,bttv,bttvp}.h \
	%buildroot%kernel_headers_dir/drivers/media/video/bt8xx/
cp -a linux/drivers/media/video/cx88/{cx88,cx88-reg}.h \
	%buildroot%kernel_headers_dir/drivers/media/video/cx88/
cp -a linux/drivers/media/video/saa7134/{saa7134,saa7134-reg}.h \
	%buildroot%kernel_headers_dir/drivers/media/video/saa7134/

cp -a linux/include/media/* %buildroot%kernel_headers_dir/include/media/
cp -a linux/include/linux/video*.h %buildroot%kernel_headers_dir/include/linux/

# use v4l-compat.h instead of compat.h header from v4l
subst "s,\"compat\.h\",\<media/v4l-compat\.h\>," %buildroot%kernel_headers_dir/include/media/*
subst "s,\"compat\.h\",\<media/v4l-compat\.h\>," %buildroot%kernel_headers_dir/drivers/media/dvb/dvb-core/*
subst "s,\"compat\.h\",\<media/v4l-compat\.h\>," %buildroot%kernel_headers_dir/drivers/media/video/{bt8xx,cx88,saa7134}/*
subst "s,\"compat\.h\",\<media/v4l-compat\.h\>," %buildroot%kernel_headers_dir/include/media/*

cp v4l/compat.h %buildroot%kernel_headers_dir/include/media/v4l-compat.h

patch -p0 %buildroot%kernel_headers_dir/include/media/v4l-compat.h <%SOURCE0


%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir
%exclude /lib/modules/%kversion-%flavour-%krelease/modules.*

%files -n kernel-headers-%module_name-%flavour
%module_headers_dir
%kernel_headers_dir/kernel-modules-%module_name.release
%kernel_headers_dir/kernel-modules-%module_name.symvers
%kernel_headers_dir/include/media
%kernel_headers_dir/include/linux

%changelog
* Wed Sep 10 2008 Michail Yakushin <silicium@altlinux.ru> 20080422-alt2.132633.8.M41.1
- Build for kernel-image-std-ll-2.6.25-alt8.M41.1.

* Tue May 13 2008 Michail Yakushin <silicium@altlinux.ru> 20080422-alt2
- add files  for build on 2.6.25

* Wed Apr 23 2008 Michail Yakushin <silicium@altlinux.ru> 20080422-alt1
- build with new version 

* Mon Apr 14 2008 Michail Yakushin <silicium@altlinux.ru> 20080407-alt0.1
- new version

* Mon Mar 24 2008 Anton Farygin <rider@altlinux.ru> 20080323-alt1
- initial version

